Hooks:PostHook(UpgradesTweakData,"_grenades_definitions","kingslayer_init_grenades_definitions",function(self)
	self.definitions.kingslayer_syringe = {
		category = "grenade"
	}
end)

Hooks:PostHook(UpgradesTweakData,"_melee_weapon_definitions","kingslayer_upgradestweak__melee_definitions",function(self)
	self.values.melee.stacking_hit_expire_t[2] = 7
	self.values.melee.kingslayer_expire_t_mul = {
		0.25 --75% faster melee
	}
end)


Hooks:PostHook(UpgradesTweakData,"_player_definitions","kingslayer_init_player_definitions",function(self)
	self.values.player.kingslayer_syringe_base = {
		{
			cooldown_drain_per_kill = 1, --1s reduction in cooldown time per kill
			duration = 15
		}
	}
	
	self.values.player.kingslayer_stacks_on_kill = {
		{
			max_stacks = 10,
			stacks_per_kill = 1,
			duration = 6
		}
	}
	self.values.player.kingslayer_stacks_to_damage_mul = {
		0.02
	}
	self.values.player.kingslayer_stacks_to_damage_resist = {
		0.02
	}
	self.values.player.kingslayer_health_on_kill = {
		{
			health_restored = 0.02,
			cooldown = 2
		}
	}
	self.values.player.kingslayer_stacking_melee_damage_bonus = {
		{
			true
		}
	}
	self.values.player.kingslayer_syringe_spread_bonus = {
		0.8 --80% spread reduction
	}
	self.values.player.kingslayer_syringe_rof_bonus = {
		{
			shots_per_stack = 1, --firing 1 shot bestows a stack
			max_stacks = 50,
			spread_bonus_per_stack = 0.01 --percent
		}
	}
	
	
	
	self.definitions.player_kingslayer_stacks_on_kill = {
		name_id = "menu_deck_kingslayer_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "kingslayer_stacks_on_kill",
			category = "player"
		}
	}
	self.definitions.player_kingslayer_stacks_to_damage_mul = {
		name_id = "menu_deck_kingslayer_1_2",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "kingslayer_stacks_to_damage_mul",
			category = "player"
		}
	}
	
	self.definitions.player_kingslayer_stacks_to_damage_resist = {
		name_id = "menu_deck_kingslayer_3",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "kingslayer_stacks_to_damage_resist",
			category = "player"
		}
	}
	
	self.definitions.player_kingslayer_melee_speed_bonus = {
		name_id = "menu_deck_kingslayer_5_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "kingslayer_expire_t_mul",
			category = "melee"
		}
	}
	self.definitions.player_kingslayer_melee_stacking_hit_expire_t = {
		name_id = "menu_deck_kingslayer_5_2",
		category = "feature",
		upgrade = {
			value = 2,
			upgrade = "stacking_hit_expire_t",
			category = "melee"
		}
	}
	
	self.definitions.player_kingslayer_health_on_kill = {
		name_id = "menu_deck_kingslayer_7",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "kingslayer_health_on_kill",
			category = "player"
		}
	}
	
	self.definitions.player_kingslayer_syringe_base = {
		name_id = "menu_deck_kingslayer_9_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "kingslayer_syringe_base",
			category = "player"
		}
	}
	self.definitions.player_kingslayer_syringe_temporary_spread_bonus = {
		name_id = "menu_deck_kingslayer_9_2",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "kingslayer_syringe_spread_bonus",
			category = "player"
		}
	}
	self.definitions.player_kingslayer_syringe_temporary_stacking_rof_bonus = {
		name_id = "menu_deck_kingslayer_9_3",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "kingslayer_syringe_rof_bonus",
			category = "player"
		}
	}
end)


