local orig_spread_mul = NewRaycastWeaponBase.spread_multiplier
function NewRaycastWeaponBase:spread_multiplier(current_state,...)
	local spread_bonus_mul = 1
	local pm = managers.player
	if pm:has_category_upgrade("player","kingslayer_syringe_spread_bonus") then 
		spread_bonus_mul = spread_bonus_mul - pm:get_property("kingslayer_spread_bonus",0)
	end
	
	return (orig_spread_mul(self,...) or 1) * spread_bonus_mul
end

local orig_fire_rate_mul = NewRaycastWeaponBase.fire_rate_multiplier
function NewRaycastWeaponBase:fire_rate_multiplier(...)
	local bonus_mul = 1
	local pm = managers.player
	if pm:has_category_upgrade("player","kingslayer_syringe_rof_bonus") then 
		local upgrade_data = pm:upgrade_value("player","kingslayer_syringe_rof_bonus")
		
		bonus_mul = 1 + (pm:get_property("kingslayer_rof_bonus_stacks",0) * upgrade_data.spread_bonus_per_stack)
		
	end
	
	return (orig_fire_rate_mul(self,...) or 1) * bonus_mul
end
